mtest {plm} | R Documentation

## Arellano–Bond test of Serial Correlation

### Description

Test of serial correlation for models estimated by GMM

### Usage

    mtest(object, order = 1, vcov = NULL)

### Arguments

`object` | an object of class `"pgmm"`,
`order` | the order of the serial correlation (1 or 2),
`vcov` | a matrix of covariance for the coefficients or a function to compute it.

### Details

The Arellano–Bond test is a test of correlation based on the residuals of the estimation. By default, the computation is done with the standard covariance matrix of the coefficients. A robust estimator of this covariance matrix can be supplied with the `vcov` argument.

### Value

An object of class `"htest"`.

### Author(s)

Yves Croissant

### References

Arellano, M. and Bond, S. (1991), Some Tests of Specification for Panel Data: Monte Carlo Evidence and an Application to Employment Equations, The Review of Economic Studies, 58(2), 1991, pp. 227–297.

### See Also

`pgmm`

### Examples

    data("EmplUK", package = "plm")
    ar <- pgmm(log(emp) ~ lag(log(emp), 1:2) + lag(log(wage), 0:1) +
               lag(log(capital), 0:2) + lag(log(output), 0:2) | lag(log(emp), 2:99),
               data = EmplUK, effect = "twoways", model = "twosteps")
    mtest(ar, order = 1)
    mtest(ar, order = 2, vcov = vcovHC)

[Package plm version 1.6-6 Index]